#pragma once

#include <OpenNI.h>
/**
The Frame class encapsulates a specific frame - the output of a Stream at a specific time.
*/
namespace TipTepOpenNI {

public ref class Frame
{
	int stride;
	int width, height;
	array<short^>^ data;
public:
	Frame(int stride, int width, int height, openni::DepthPixel* pDepth);	
	array<short^>^ GetData();
	int GetStride();		
	int GetWidth();		
	int GetHeight();		
};

}
