// TipTep.HandSkeleton.h
#include <OpenNI.h>
#include "Frame.h"
#include "NiTE.h"

#pragma once

using namespace System;

namespace TipTepOpenNI  {

	public ref class Sensor
	{	
	private:		
		openni::VideoStream&	depthStream;
	    openni::VideoStream&	colorStream;
	public:
		Sensor(openni::VideoStream& s_depth, openni::VideoStream& s_color);
		void WaitForStreams(Frame^& rgbFrame, Frame^& depthFrame);		
	};
}